import { IUser } from "../user/User";
import { IDevice } from "../user/Device";
import { IResponseBase } from "../Response";
interface IMissionUser extends IUser {
    /**
     * Devices this user owns
     */
    devices?: IDevice[];
}
interface IMissionDeviceResponse extends IResponseBase {
    data: IMissionDeviceResponseData;
}
/**
 * Type of data field for the mission device response
 */
interface IMissionDeviceResponseData {
    /**
     * The mission list
     */
    users: IMissionUser[];
}
export { IMissionUser, IMissionDeviceResponse, IMissionDeviceResponseData, };
