import { LocaleMessageObject } from "vue-i18n";
interface IBaseLocalization extends LocaleMessageObject {
    title: string;
    network_error: string;
    confirm: string;
    cancel: string;
    back: string;
    retry: string;
    uploading: string;
    back_to_home: string;
    phone_warn: string;
    email_warn: string;
    code_warn: string;
    code_send_fail_warn: string;
    password_warn: string;
    password_validate_warn: string;
    password_empty_warn: string;
    oldPassword_invalid: string;
    repassword_empty_warn: string;
    repassword_different: string;
    reset_failed: string;
    name_warn: string;
    exist_username: string;
    verify_failed: string;
    email: string;
    phone_number: string;
    password: string;
    repassword: string;
    name: string;
    verify: string;
    verify_sended: string;
    code: string;
    find_with_email: string;
    find_with_phone: string;
    access_warn: string;
    account_exist: string;
    reset_password_title: string;
    reset_password_verify_phone_tips: string;
    reset_password_verify_email_tips: string;
    double_check_title: string;
    double_check_tips: string;
    reset_title: string;
    reset_tips: string;
    reset_success_title: string;
    reset_success_tips: string;
    help: string;
    help_tips: string;
    WARN0: string;
    WARN1: string;
    WARN2: string;
    WARN3: string;
    WARN4: string;
    WARN5: string;
    WARN6: string;
    WARN7: string;
    WARN9: string;
    WARN10: string;
    WARN11: string;
    WARN12: string;
    WARN13: string;
    WARN14: string;
    WARN16: string;
    WARN17: string;
    WARN18: string;
    WARN97: string;
    WARN98: string;
    WARN99: string;
    WARN201: string;
}
export { IBaseLocalization, };
