"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMobile = exports.isPC = exports.isIOS = exports.isAndroid = exports.inBrowser = void 0;
exports.inBrowser = typeof window !== 'undefined' &&
    Object.prototype.toString.call(window) !== '[object Object]';
const UA = exports.inBrowser && window.navigator.userAgent.toLowerCase();
exports.isAndroid = UA && UA.indexOf('android') > 0;
exports.isIOS = UA && /iphone|ipad|ipod|ios/.test(UA);
exports.isPC = UA && !exports.isAndroid && !exports.isIOS;
exports.isMobile = exports.isAndroid || exports.isIOS;
