export class FileObj
{
	private file: any;

	private id: any;

	private fileName: string;

	private relativePath: string;

	private size: any;

	private percent: number;

	private speed: string;

	private remaining: string;

	private listener: any;

	private chunks: any[];

	constructor(file, id, listener)
	{
		this.file = file
		this.id = id
		this.fileName = file.fileName || file.name
		this.relativePath = file.relativePath || file.webkitRelativePath || file.fileName
		this.size = file.size
		this.percent = 0
		this.speed = ''
		this.remaining = ''
		this.listener = listener
		this.chunks = []
	}

	chunkEvent(event, message)
	{
		switch (event)
		{
			case 'progress':
				this.listener.emit('fileProgress', message)
				break
			case 'error':
				this.listener.emit('fileError', message)
				break
			default:
				break
		}
	}

	abort()
	{

	}

}