interface IDeleteMissionParams {
    /**
     * Access token of user who is deleting the mission
     */
    accessToken: string;
    /**
     * Id of the mission being deleted
     */
    missionId: number;
}
interface IGetAliyunOSSDownloadURLParams {
    /**
     * Access token of user who is trying to get aliyun cdn download url
     */
    accessToken: string;
    /**
     * Bucket of the resource
     */
    bucket: string;
    /**
     * Object name of the resource
     */
    objectName: string;
    /**
     * Public URL that we are going to add signature to
     */
    url: string;
}
interface IRenameMissionParams {
    /**
     * Access token of user who is renaming the mission
     */
    accessToken: string;
    /**
     * Id of the mission being renamed
     */
    missionId: number;
    /**
     * New mission name
     */
    missionName: string;
}
export { IDeleteMissionParams, IGetAliyunOSSDownloadURLParams, IRenameMissionParams, };
