interface IServiceList {
    [key: number]: IServiceListItem;
}
interface IServiceListItem {
    /**
     * id of service
     */
    id?: number;
    /**
     * icon of button which creating service
     */
    createBtnIcon: string;
    /**
     * title of button which creating service
     */
    createBtnTitle: string;
    /**
     * desc of Dialog when select feature
     */
    selectFeatureDesc: string;
    /**
     * tips of Dialog when select feature
     */
    selectFeatureTips: string;
    /**
     * desc of Dialog when rename job
     */
    renameJobDesc: string;
    /**
     * title of Dialog when rename job
     */
    renameJobTitle: string;
    /**
     * icon of job record
     */
    jobRecordIcon: string;
    /**
     * title of job detail
     */
    serviceTitle: string;
}
export { IServiceList, IServiceListItem, };
