interface IDevice {
    /**
     * Unique identifier of the device
     */
    identifier?: string;
    /**
     * The detected deviceId during mission (typically device name)
     */
    deviceId?: string;
    /**
     * Type of devices
     */
    deviceType?: string;
    /**
     * Id of device owner
     */
    userId?: number;
    /**
     * Timestamp we logged this device in DB
     */
    createdAt: number;
    /**
     * The device token
     */
    deviceToken?: string;
    /**
     * Login status of the device
     */
    loginStatus?: boolean;
}
export { IDevice, };
