/**
 * Convert date value to locale string format, and use `.` as delimeter
 *
 * @param {*} value  - date value to be converted
 */
export declare const date: (value: any) => string;
/**
 * Convert time in `mm:ss` format
 *
 * @param {*} time - time in minute, to be converted
 */
export declare const time: (time: any) => string;
/**
 * Convert time to annotated string indicating remaining time
 *
 * @param {*} time - time in minute
 */
export declare const remain: (time: any) => string;
/**
 * Convert size into corresponding annotated string
 *
 * @param {*} size - size to be converted
 */
export declare const size: (size: any) => string;
