"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const messages = {
    title: '广州奇志信息科技有限公司 - Meshing with future lives',
    network_error: '请求失败，请重试',
    confirm: '确认',
    cancel: '返回',
    back: '返回',
    retry: '重试',
    uploading: '正在上传...',
    back_to_home: '秒后返回首页',
    phone_warn: '请输入正确的手机号码',
    email_warn: '请输入正确的邮箱',
    code_warn: '验证码错误',
    code_send_fail_warn: '获取验证码失败',
    password_warn: '密码错误',
    password_validate_warn: '密码由6-16位字母、数字、英文字符组成',
    password_empty_warn: '请输入密码',
    oldPassword_invalid: '旧密码错误',
    repassword_empty_warn: '请重复输入密码',
    repassword_different: '两次输入不一致',
    reset_failed: '修改密码失败',
    name_warn: '请输入5-25个字符，不包含特殊字符',
    exist_username: '用户名已被使用',
    verify_failed: '验证失败',
    email: '邮箱',
    phone_number: '手机号码',
    password: '密码',
    repassword: '重复密码',
    name: '用户名',
    verify: '发送验证码',
    verify_sended: '重新发送',
    code: '验证码',
    find_with_email: '用邮箱找回',
    find_with_phone: '用手机找回',
    access_warn: '登录过期',
    account_exist: '账户已存在',
    //  Reset Password verify
    reset_password_title: `重设密码`,
    reset_password_verify_phone_tips: `我们将通过短信的方式
向你注册的手机发送验证码
通过验证后再进行密码修改`,
    reset_password_verify_email_tips: `我们将通过邮件的方式
向你注册的邮箱发送验证邮件
通过验证后再进行密码修改`,
    /* double check */
    double_check_title: `用户
双重验证`,
    double_check_tips: `通过简单的双重验证后
即可重置密码。`,
    /* reset */
    reset_title: `重新
设置密码`,
    reset_tips: `双重验证通过，
现在请输入您新的密码。`,
    /* reset success */
    reset_success_title: `重置密码
成功`,
    reset_success_tips: `重置密码成功，
请返回首页重新登录。`,
    /*   help */
    help: '帮助',
    help_tips: '如果邮箱丢失或者手机丢失导致重设密码身份验证失败，可通过以下链接重新进行身份验证',
    // WARNINGS
    WARN0: '网络出了点问题, 请在更好的网络环境中重试',
    WARN1: '成功',
    WARN2: '用户名已被使用',
    WARN3: '账户不存在',
    WARN4: '密码错误',
    WARN5: '登录超时',
    WARN6: '参数错误',
    WARN7: '账户已被注册',
    WARN9: 'The data can not be validated.',
    WARN10: '账户欠款',
    WARN11: '无任务权限',
    WARN12: '设备数受限',
    WARN13: '获取验证码超过单日5次限制',
    WARN14: '第三方服务请求错误',
    WARN16: '无效电话号码',
    WARN17: '非法的邮箱地址',
    WARN18: '请输入少于 32 个字符',
    WARN97: '请先上传所有原始文件',
    WARN98: '手机号被占用',
    WARN99: '邮箱被占用',
    WARN201: '只有创建者有此权限'
};
exports.default = messages;
